package com.oguerreiro.resilient.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.oguerreiro.resilient.domain.VariableScope;

/**
 * Spring Data JPA repository for the VariableScope entity.
 */
@Repository
public interface VariableScopeRepository extends ResilientJpaRepository<VariableScope, Long> {
  /* Custom VariableScopeRepository methods */
  /* ***************************************** */
  List<VariableScope> findByHiddenForDataIsFalseOrHiddenForDataIsNullOrderByCodeAsc();

  List<VariableScope> findByHiddenForFactorIsFalseOrHiddenForFactorIsNullOrderByCodeAsc();
}
