package com.oguerreiro.resilient.service.mapper.security;

import org.mapstruct.Mapper;

import com.oguerreiro.resilient.security.resillient.SecurityResource;
import com.oguerreiro.resilient.service.dto.security.SecurityResourceDTO;
import com.oguerreiro.resilient.service.mapper.ResilientEntityMapper;

/**
 * Mapper for the entity {@link SecurityResource} and its DTO {@link SecurityResourceDTO}.
 */
@Mapper(componentModel = "spring")
public interface SecurityResourceMapper extends ResilientEntityMapper<SecurityResourceDTO, SecurityResource> {

}
