import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IInputDataUploadLog } from '../input-data-upload-log.model';

@Component({
  standalone: true,
  selector: 'jhi-input-data-upload-log-detail',
  templateUrl: './input-data-upload-log-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class InputDataUploadLogDetailComponent {
  inputDataUploadLog = input<IInputDataUploadLog | null>(null);

  previousState(): void {
    window.history.back();
  }
}
