import { IOrganizationType, NewOrganizationType } from './organization-type.model';

export const sampleWithRequiredData: IOrganizationType = {
  id: 10209,
  code: 'as different',
  name: 'through apropos yawn',
  description: 'on who excluding',
  nature: 'LEVEL',
};

export const sampleWithPartialData: IOrganizationType = {
  id: 7125,
  code: 'yearningly',
  name: 'mishandle whoa neatly',
  description: 'preen spring waitress',
  nature: 'FACILITY',
  version: 7328,
};

export const sampleWithFullData: IOrganizationType = {
  id: 272,
  code: 'pummel within pepper',
  name: 'excluding',
  description: 'ecology whoever',
  nature: 'ORGANIZATION',
  icon: '../fake-data/blob/hipster.png',
  iconContentType: 'unknown',
  version: 4731,
};

export const sampleWithNewData: NewOrganizationType = {
  code: 'sudden magnificent knowingly',
  name: 'pajamas enquiry',
  description: 'lest',
  nature: 'FACILITY',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
